Skip to main content
GET
Retrieve all withdrawals

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

stakerAddress
string

The address of the staker

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd"

delegatedTo
string

The address of the operator to which the stake is delegated

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x5accc90436492f24e6af278569691e2c942a676d"

strategyAddress
string

The contract address of the restaking strategy

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x0fe4f44bee93503346a3ac9ee5a26b130a5796d6"

status
enum<string>

The status of the withdrawal

Available options:
queued,
queued_withdrawable,
completed
Example:

"queued"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The list of withdrawals.

data
object[]
required
meta
object
required